{% extends "base.html" %}{% load static from staticfiles %}

{% block title %}Organ{% if subtitle %} - {{ subtitle }}{% endif %}{% endblock %}

{% block head %}
    <link href="{% static 'AdminLTE/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static 'font-awesome/css/font-awesome.min.css' %}" rel="stylesheet">
    <link href="{% static 'Ionicons/css/ionicons.min.css' %}" rel="stylesheet">
    <link href="{% static 'AdminLTE/dist/css/AdminLTE.min.css' %}" rel="stylesheet">
    <link href="{% static 'AdminLTE/dist/css/skins/_all-skins.min.css' %}" rel="stylesheet">
    <link href="{% static 'css/app.css' %}" rel="stylesheet">
{% endblock %}

{% block bocy-class %}hold-transition login-page{% endblock %}

{% block body %}
    <div class="login-box">
        <div class="login-logo">
            <b>Organ</b> <span>Hamakor</span>
        </div>
        <!-- /.login-logo -->
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                <li class="active"><a href="#login-email" data-toggle="tab">Email</a></li>
                <li><a href="#login-username" data-toggle="tab">Username</a></li>
                <li><a href="#login-social" data-toggle="tab">Social</a></li>
            </ul>
            <p class="login-box-msg">Sign in to start your session</p>
            <div class="tab-content">
                <div id="login-email" class="active tab-pane">
                    <form action="{% url 'social:complete' 'email' %}" method="post">
                        <div class="form-group has-feedback">
                            <input type="text" name="email" class="form-control" placeholder="Email address">
                            <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
                        </div>
                        <div class="form-group has-feedback">
                            <input type="password" name="password" class="form-control" placeholder="Password">
                            <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                        </div>
                        <div class="row">
                            <div class="col-xs-8">
                                <div class="checkbox">
                                    <label>
                                        <input type="checkbox" name="remember_me"> Remember Me
                                    </label>
                                </div>
                            </div>
                            <!-- /.col -->
                            <div class="col-xs-4">
                                {% csrf_token %}
                                <button type="submit" class="btn btn-primary btn-block btn-flat">Sign In</button>
                            </div>
                            <!-- /.col -->
                        </div>
                    </form>
                </div>
                <div id="login-username" class="tab-pane">
                    <form action="{% url 'account:login' %}" method="post">
                        <div class="form-group has-feedback">
                            <input type="text" name="username" class="form-control" placeholder="Username">
                            <span class="glyphicon glyphicon-user form-control-feedback"></span>
                        </div>
                        <div class="form-group has-feedback">
                            <input type="password" name="password" class="form-control" placeholder="Password">
                            <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                        </div>
                        <div class="row">
                            <div class="col-xs-8">
                                <div class="checkbox">
                                    <label>
                                        <input type="checkbox" name="remember_me"> Remember Me
                                    </label>
                                </div>
                            </div>
                            <!-- /.col -->
                            <div class="col-xs-4">
                                {% csrf_token %}
                                <button type="submit" class="btn btn-primary btn-block btn-flat">Sign In</button>
                            </div>
                            <!-- /.col -->
                        </div>
                    </form>
                </div>
                <div id="login-social" class="tab-pane">
                    <a href="{% url 'social:begin' 'github' %}" class="btn btn-block btn-social btn-github btn-flat">
                        <i class="fa fa-github"></i> Sign in using GitHub
                    </a>
                </div>
            </div>
        </div>
        <div class="login-box-body">
            <a href="{% url 'account:password-reset' %}">I forgot my password</a><br>
            <a href="" class="text-center">Register a new membership</a>
        </div>
        <!-- /.login-box-body -->
    </div>
    <!-- /.login-box -->

{% endblock %}


{% block foot %}
    <script src="{% static 'jquery/dist/jquery.min.js' %}"></script>
    <script src="{% static 'AdminLTE/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'AdminLTE/dist/js/app.min.js' %}"></script>
    <script src="{% static 'js/app.js' %}"></script>
{% endblock %}
